#!/usr/local/bin/python3

# Read the sample rate used by SqueezeLite through a named pipe
import os
import stat
import subprocess
import sys
from websocket import create_connection

pipe = '/var/run/squeezelite-log.fifo'
config_path = "/home/tc/camilladsp/"
ws_port="1234"

with open(pipe, 'r') as fifo:
    for line in fifo:
        # print(line),
        if "track start sample rate:" in line:
            word_list = line.split()
            sample_rate = word_list[6]
            send_cfg = '{"SetConfigName": "' + config_path + sample_rate + '.yml"}'
            # print ("send_cfg: " + send_cfg)
            ws = create_connection("ws://127.0.0.1:" + ws_port)
            ws.send(send_cfg)
            ws.recv()
            ws.send('"Reload"')
            ws.recv()
            ws.close()
